Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AddedReaction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AddedReaction

Enclosing class:
  TdApi

public static final class TdApi.AddedReaction extends TdApi.Object
Represents a reaction applied to a message.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`date`
Point in time (Unix timestamp) when the reaction was added.
`boolean`
`isOutgoing`
True, if the reaction was added by the current user.
`TdApi.MessageSender`
`senderId`
Identifier of the chat member, applied the reaction.
`TdApi.ReactionType`
`type`
Type of the reaction.

## Constructor Summary

Constructors
Constructor
Description
`AddedReaction()`
Represents a reaction applied to a message.
`AddedReaction(TdApi.ReactionType type, TdApi.MessageSender senderId, boolean isOutgoing, int date)`
Represents a reaction applied to a message.
`AddedReaction(DataInput input)`
Represents a reaction applied to a message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public TdApi.ReactionType type
Type of the reaction.

### senderId

public TdApi.MessageSender senderId
Identifier of the chat member, applied the reaction.

### isOutgoing

public boolean isOutgoing
True, if the reaction was added by the current user.

### date

public int date
Point in time (Unix timestamp) when the reaction was added.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AddedReaction

public AddedReaction()
Represents a reaction applied to a message.

### AddedReaction

public AddedReaction(TdApi.ReactionType type, TdApi.MessageSender senderId, boolean isOutgoing, int date)
Represents a reaction applied to a message.

Parameters:
  `type` - Type of the reaction.
  `senderId` - Identifier of the chat member, applied the reaction.
  `isOutgoing` - True, if the reaction was added by the current user.
  `date` - Point in time (Unix timestamp) when the reaction was added.

### AddedReaction

public AddedReaction(DataInput input) throws IOException
Represents a reaction applied to a message.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`